
[ppc64] add automatic check for biarch compilers


---

 arch/ppc64/Makefile |   11 +++++++++++
 1 files changed, 11 insertions(+)

diff -puN arch/ppc64/Makefile~ppc64-biarch arch/ppc64/Makefile
--- 25/arch/ppc64/Makefile~ppc64-biarch	2004-01-13 23:21:52.000000000 -0800
+++ 25-akpm/arch/ppc64/Makefile	2004-01-13 23:21:52.000000000 -0800
@@ -15,6 +15,17 @@
 
 KERNELLOAD	:= 0xc000000000000000
 
+ifeq ($(shell uname -m),ppc64)
+CHECKS		= checks
+endif
+
+HAS_BIARCH      := $(shell if $(CC) -m64 -S -o /dev/null -xc /dev/null > /dev/null 2>&1; then echo y; else echo n; fi;)
+ifeq ($(HAS_BIARCH),y)
+AS              := $(AS) -64
+LD              := $(LD) -m elf64ppc
+CC		:= $(CC) -m64
+endif
+
 LDFLAGS		:= -m elf64ppc
 LDFLAGS_vmlinux	:= -Bstatic -e $(KERNELLOAD) -Ttext $(KERNELLOAD)
 CFLAGS		+= -msoft-float -pipe -Wno-uninitialized -mminimal-toc \

_
